/*
 * Copyright (C) 2005-2006 Kouji Sugisawa. All rights reserved.
 */

package jp.sourceforge.livez;

/**
 * この例外は、HTTP ユーザエージェントが見つからない場合にスローされます。
 * 
 * @author 杉澤 浩二
 */
public final class UserAgentNotFoundException extends IllegalUserAgentException {

	private static final long serialVersionUID = 1L;

	/**
	 * デフォルトコンストラクタです。
	 */
	public UserAgentNotFoundException() {
		super();
	}

	/**
	 * コンストラクタです。
	 * 
	 * @param message 詳細なエラーメッセージ
	 */
	public UserAgentNotFoundException(final String message) {
		super(message);
	}

	/**
	 * コンストラクタです。
	 * 
	 * @param message 詳細なエラーメッセージ
	 * @param cause 原因
	 */
	public UserAgentNotFoundException(final String message, final Throwable cause) {
		super(message, cause);
	}

	/**
	 * コンストラクタです。
	 * 
	 * @param cause 原因
	 */
	public UserAgentNotFoundException(final Throwable cause) {
		super(cause);
	}

}
